##  for PCLinuxOS  ##

%define  ver  1.000
%define  rel  1.nora17

%define  _fontdir  %{_datadir}/fonts/OTF/japanese-SourceHanSerifJP

Name:     fonts-otf-japanese-SourceHanSerifJP
Summary:  Source Han Serif Japanese font (Subset OTF)
Summary(ja):  源ノ明朝 フォント (Subset OTF)
Version:  %{ver}
Release:  %{rel}
License:  SIL Open Font License 1.1
Group:    System/Fonts/Open type
URL:      https://github.com/adobe-fonts/source-han-serif
Source0:  https://github.com/adobe-fonts/source-han-serif/raw/release/SubsetOTF/SourceHanSerifJP.zip

BuildArch:  noarch
BuildRequires:  unzip

%description
Source Han Serif is a set of OpenType/CFF Pan-CJK fonts.
In addition to functional OpenType fonts, this open source project provides all of the source files that were used to build these OpenType fonts by using the AFDKO *makeotf* and *otf2otc* tools.

This package contain Source Han Serif Japanese Subset OTF font.

%description -l ja
Source Han Serif フォントファミリーは、Adobe と Google および（株）イワタなどとの共同開発による OpenType 形式のフォントです。

このパッケージでは、Source Han Serif 日本語フォントの Subset OTF 版を提供します。
なお各アプリケーション上でのこのフォントの日本語による名称表示は、「源ノ明朝」となります。


%prep
%setup -q -n SourceHanSerifJP


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -m 644 SourceHanSerifJP-*.otf $RPM_BUILD_ROOT%{_fontdir}
install -m 644 LICENSE.txt $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-japanese-SourceHanSerifJP:pri=50


%files
%defattr(-,root,root)
%{_fontdir}/*
%{_sysconfdir}/X11/fontpath.d/otf-japanese-SourceHanSerifJP:pri=50


%changelog
* Tue Apr 04 2017 tomcat <> 1.000-1
- initial build for PCLinuxOS
